Bug 1269181 - xchat icon disappearing
xchat icon disappearing
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell-extensions (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.2
Assigned To: Florian Müllner
Desktop QE
:
: 1340854 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 10:34 EDT by Vladimir Benes
Modified: 2017-10-03 21:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2015-10-06 10:34:52 EDT
Description of problem:
gnome-shell-extension-top-icons.noarch

xchat icon disappears from time to time. Not sure how to trigger it exactly but I hit it every day (after undock and suspend or so). I was told that extensions.gnome.org TopIcon one works well.  

Version-Release number of selected component (if applicable):
gnome-shell-extension-top-icons-3.14.4-13.el7.noarch

How reproducible:
quite often
Comment 1 Matthias Clasen 2015-10-07 09:32:05 EDT
I've tried to reproduce here, but so far, I've failed. The top icons always reappear after suspend.
Comment 2 Florian Müllner 2015-10-08 10:32:04 EDT
This isn't necessarily an extension error, it could be a problem with the sizing of the XEmbed icon itself (see https://bugzilla.gnome.org/show_bug.cgi?id=721596).
Comment 4 Matthias Clasen 2015-10-09 09:39:45 EDT
Well, we don't know what we're dealing with yet...hard to work around an unknown. Fwiw, I still haven't seen it happen on my rhel 7.2 installation.
Comment 6 Florian Müllner 2016-05-31 11:30:55 EDT
*** Bug 1340854 has been marked as a duplicate of this bug. ***
Comment 7 Vladimir Benes 2016-06-01 04:05:22 EDT
As said in bug 1340854 it happens to pidgin and to spotify as well so that issue seem to be in top icons extension and not the app itself. 
Yeah suspend probably makes the top icon to reappear as g-s restart helps as well.
Comment 8 Vitezslav Humpa 2016-06-07 08:46:41 EDT
I also suspected the extension, however, I've noticed the pidgin icon missing also when in standard pop-out tray. So it could be a common issue to these apps.
Comment 11 Vladimir Benes 2016-11-14 14:04:05 EST
This is still visible with latest GNOME 3.22 and Pidgin. We need to fix it.
Comment 12 Vladimir Benes 2017-03-19 17:41:03 EDT
I've found a fix for this for pidgin.

It's a patch for pidgin and it's connected to old notification API pidgin uses.
https://github.com/phocean/TopIcons-plus/files/823156/pidgin_tray_new_style_blink.txt

I will file new bug for pidgin.

Note You need to log in before you can comment on or make changes to this bug.